/* Domain: Entwicklung*/
/* Add Custom CSS for your theme, this will be ignoered by Git ;-) */

/* Fix for flashing borders on page load caused by Tailwind CSS (used by references widget) */
body *,
body ::before,
body ::after {
    border-style: none;
}

/* Last <p> without bottom margin */
.elementor-widget-text-editor .elementor-widget-container p:last-child {
    margin-bottom: 0px !important;
}

/* Footer */

/* Cookies */
#footer a.cc-cookie-reset {
    font-weight: 400;
    transition: color 0.3s ease;
}

#footer a.cc-cookie-reset:hover {
    color: var(--e-global-color-primary);
}

.cc-cookies a:hover {
    background-color: #ffffff00;
    text-decoration: none;
}

.cc-cookies a.cc-cookie-accept,
.cc-cookies-error a.cc-cookie-accept,
.cc-cookies a.cc-cookie-decline,
.cc-cookies-error a.cc-cookie-decline,
.cc-cookies a.cc-cookie-save,
.cc-cookies-error a.cc-cookie-save,
.cc-cookies a.cc-cookie-reset,
.cc-cookies a.cc-cookie-simple,
.cc-cookies-error a.cc-cookie-simple {
    border-radius: 0;
    transition: all 0.3s !important;
}

/* Cookies End */
/* Footer End */

/* HEADER */
#header {
    z-index: 10000;
    pointer-events: none;
}

#header>* {
    pointer-events: auto;
}

/* Sticky header fix when WP admin bar is visible */
body.admin-bar #header {
    top: 0 !important;
}

body.admin-bar #header.elementor-sticky--active {
    top: 32px !important;
}

@media screen and (max-width: 782px) {
    body.admin-bar #header.elementor-sticky--active {
        top: 46px !important;
    }
}

@media screen and (max-width: 600px) {
    body.admin-bar #header.elementor-sticky--active {
        top: 0 !important;
    }
}

/* Menu items */
#main-nav li.menu-item a {
    background-color: transparent;
    border-radius: 999px;
    transition: all 0.3s ease;
}

#main-nav li.menu-item a:hover,
#main-nav li.menu-item a:active,
#main-nav li.menu-item a.custom-active {
    background-color: color-mix(in srgb, var(--e-global-color-primary), transparent 75%);
}

@media screen and (max-width: 1024px) {
    #main-nav li.menu-item a {
        background-color: transparent !important;
    }
}

/* Leave/enter viewport in scroll (see Elementor Custom Code for JS) */
#header {
    transition: transform 0.3s ease-in-out !important;
}

#header.header-hidden {
    transform: translateY(-100%);
}

/* Dropdown width and padding fix */
#main-nav {
    position: static !important;
    margin-top: -14px;
}

#main-nav .elementor-nav-menu--dropdown {
    left: 0 !important;
    width: calc(100vw - 20px) !important;
}

@media screen and (max-width: 1024px) {
    #main-nav .elementor-nav-menu {
        padding: 20px 0;
    }
}

/* HEADER END */

/* Backgrounds */
.lwd-gradient-bg {
    background: -o-linear-gradient(315deg, #f39200, #ec661b, #e9458b);
    background: linear-gradient(135deg, #f39200, #ec661b, #e9458b);
}

/* Text Section Argumente*/
.lwd-gradient-bg .txt-projekte-mg p {
    margin-block-end: 0;
}

#detail-contact-box {
    background: var(--e-global-color-230c35e) !important;
}

#detail-contact-btn {
    border-radius: 100px;
}

/* Shop */

/* Warenkorb */
.warenkorb-menu #elementor-menu-cart__toggle_button {
    background: transparent !important;
}

/* Buttons */

/* Zum Warenkorb hinzufügen */
.woocommerce ul.products li.product .button {
    border-radius: 999px;
}

/* Ausführung wählen */
.woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) a.button:hover {
    background-color: var(--e-global-color-83f2275);
    color: var(--e-global-color-7fcaea0b);
}

/* Unter Produkt -Anfrage Stellen- */
.elementor-14651 .elementor-element.elementor-element-7e0dbf35 .cart button,
.elementor-14651 .elementor-element.elementor-element-7e0dbf35 .cart .button {
    border-radius: 999px !important;
    background-color: var(--e-global-color-83f2275);
}

.elementor-14651 .elementor-element.elementor-element-7e0dbf35 .cart button:hover {
    border-style: solid;
}

/* Ähnliche Produkte */
.elementor-14651 .elementor-element.elementor-element-7bd9274.elementor-wc-products ul.products li.product .button {
    color: var(--e-global-color-7fcaea0b) !important;
}

/* Buttons Ende*/

/* Breadcrumb */
.woocommerce .woocommerce-breadcrumb a {
    color: var(--e-global-color-db66dc1) !important;
}

/* Unter einem Produkt */
.woocommerce .woocommerce-breadcrumb {
    margin: 0 !important;
}

/* Shop Ende */